package com.lightinit.hsdataplatform.service;

import com.lightinit.hsdataplatform.entity.Admin;
import com.lightinit.hsdataplatform.entity.BaseExample;
import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.AdminViewModel;
import com.lightinit.hsdataplatform.model.admin.UserAddModel;
import com.lightinit.hsdataplatform.model.admin.UserAdminSearchModel;
import com.lightinit.hsdataplatform.model.admin.UserEditModel;

import java.util.Dictionary;
import java.util.List;

/**
 * Created by Mr.Yao on 2017/4/12.
 */
public interface IAdminService {
    Admin SelectOne(String username);
    Admin QueryOne(Long id);
    List<Admin> QueryList(Dictionary<String,String> condition,String order,int page,int rows);
    long QueryCount(Dictionary<String,String> condition,String order);
    boolean AddAdmin(Admin entity);
    boolean UpdateAdmin(Admin entity);
    boolean IsExits(String username);
    boolean Delete(Long id);
    AdminViewModel getAdminViewModel(Long id) ;
//-----------------------------------------------------------------
    List<Admin> queryList(UserAdminSearchModel inputModel, BaseExample.Page pager);

    long queryCount(UserAdminSearchModel inputModel);

    ResultState<Long> addAdmin(UserAddModel userAddModel);

    ResultState<Long> editAdmin(UserEditModel userEditModel);

    ResultState<Long> deleteAdmin(Long id);
}
